org.keycloak.saml.processing.core.parsers.saml

## Class SAMLStatusResponseTypeParser

- java.lang.Object
- - org.keycloak.saml.processing.core.parsers.saml.SAMLStatusResponseTypeParser

- Direct Known Subclasses:
    SAMLArtifactResponseParser, SAMLResponseParser, SAMLSloResponseParser

      public abstract class SAMLStatusResponseTypeParser
      extends Object

  Base Class for all Response Type parsing for SAML2
  Since:
    Nov 2, 2010
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static PicketLinkLogger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMLStatusResponseTypeParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected StatusResponseType` | `parseBaseAttributes(StartElement startElement)` Parse the attributes that are common to all SAML Response Types
    `protected StatusType` | `parseStatus(XMLEventReader xmlEventReader)` Parse the status element

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final PicketLinkLogger logger

  - ### Constructor Detail

    - #### SAMLStatusResponseTypeParser

          public SAMLStatusResponseTypeParser()

  - ### Method Detail

    - #### parseBaseAttributes

          protected StatusResponseType parseBaseAttributes(StartElement startElement)
                                                    throws ParsingException

      Parse the attributes that are common to all SAML Response Types
      Parameters:
        `startElement` -
        `response` -
      Throws:
        `ParsingException`

    - #### parseStatus

          protected StatusType parseStatus(XMLEventReader xmlEventReader)
                                    throws ParsingException

      Parse the status element
      Parameters:
        `xmlEventReader` -
      Returns:
      Throws:
        `ParsingException`

Copyright © 2016 JBoss by Red Hat. All rights reserved.